Subject: Re: [Mipshop] AAA-based Handover Keys

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 13 Aug 2008 10:44:02 +0300

Vijay, is there any chance that FMIPv6 will ever see some deployment? 

Ciao
Hannes

>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of ext Vijay Devarapalli
>Sent: 30 July, 2008 20:49
>To: [email-masked]
>Subject: [Mipshop] AAA-based Handover Keys
>
>Hello Folks,
>
>We didn't get a chance to discuss the next steps on AAA-based 
>handover keys. We ran out of time. Here are some observations.
> 
>For progressing FMIPv6 to Proposed Standard, we have 
>standardized one mechanism based on SeND. I don't expect this 
>mechanism to be implemented by anyone. This could change if 
>SeND does get deployed, but that might take some time.
>
>There are some solutions available for AAA-based handover keys.
>
>- There is one draft from Alper that talks about deriving the 
>MN-AR key assuming that there is some sort of shared key 
>between the mobile node and the access router.
>- The second one is from Vidya that defines a new protocol 
>with message exchange between the mobile node, the access 
>router and the handover keying server (presumably on the AAA) 
>for deriving a MN-AR key for use with FMIPv6.
>- The third one is to punt part of the problem to HOKEY. We 
>assume that there is an USRK available for FMIPv6 and we just 
>describe how to derive the MN-AR key from this USRK.
>
>We could pick one and standardize it. But the issue is that I 
>don't think there would be any customers (SDO or non-SDO) for 
>the solution we develop in the MIPSHOP WG. The expectation is 
>that SDOs would use some access-specific signaling to secure 
>MN-AR FMIPv6 messages. I also think that we don't have 
>sufficient information today to pick a solution.
>
>So the proposal is to write up an Informational document that 
>says there are a number of ways to leverage the AAA 
>infrastructure to derive MN-AR key for FMIPv6. We don't 
>actually define a solution. Just point to some of the possible 
>solutions. We won't be standardizing any of the solution 
>documents. In addition, we can mention in the document that if 
>there is sufficient interest in one of the solutions or if 
>some solution actually gets deployed in the future, we can 
>pick that and standardize it.
>
>The slides that I was going to present are at 
>http://www.ietf.org/proceedings/08jul/slides/mipshop-3.pdf
>
>Comments?
>
>Vijay
>_______________________________________________
>Mipshop mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mipshop
>
_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 13 Aug 2008 16:40:35 -0400

> Vijay, is there any chance that FMIPv6 will ever see some deployment? 

Hard to say.

The proxy version of FMIPv6 might see some deployment. But there is no
L3 signaling between the MN and the access router. So the proxy version
does not have to worry about MN-AR security. 

Vijay

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Thu, 14 Aug 2008 10:11:25 +0300

Wouldn't FMIPv6 deployment depend a bit on MIPv6 deployment and that
again on IPv6 deployment. 

If someone would want to deploy a version with no end host impact
wouldn't they rather jump to PMIP? 

Ciao
Hannes

>From: ext Vijay Devarapalli [mailto:[email-masked]] 
>Sent: 13 August, 2008 23:41
>To: Tschofenig, Hannes (NSN - FI/Espoo); [email-masked]
>Subject: RE: [Mipshop] AAA-based Handover Keys
>
>L3 signaling between the MN and the access router. So the 
>proxy version does not have to worry about MN-AR security. 
>
>Vijay
>
>> 
>> Ciao
>> Hannes
>> 
>standardized one 
>> >mechanism based on SeND. I don't expect this mechanism to be 
>> >implemented by anyone. This could change if SeND does get deployed, 
>> >but that might take some time.
>> >
>> >- There is one draft from Alper that talks about deriving the MN-AR 
>> >key assuming that there is some sort of shared key between 
>the mobile 
>> >node and the access router.
>> >- The second one is from Vidya that defines a new protocol with 
>> >message exchange between the mobile node, the access router and the 
>> >handover keying server (presumably on the AAA) for deriving a MN-AR 
>> >key for use with FMIPv6.
>> >- The third one is to punt part of the problem to HOKEY. We assume 
>> >that there is an USRK available for FMIPv6 and we just describe how 
>> >to derive the MN-AR key from this USRK.
>> >
>> >We could pick one and standardize it. But the issue is that I don't 
>> >think there would be any customers (SDO or non-SDO) for the 
>solution 
>> >we develop in the MIPSHOP WG. The expectation is that SDOs 
>would use 
>> >some access-specific signaling to secure MN-AR FMIPv6 messages. I 
>> >also think that we don't have sufficient information today 
>to pick a 
>> >solution.
>> >
>> >So the proposal is to write up an Informational document that says 
>> >there are a number of ways to leverage the AAA infrastructure to 
>> >derive MN-AR key for FMIPv6. We don't actually define a solution. 
>> >Just point to some of the possible solutions. We won't be 
>> >standardizing any of the solution documents. In addition, we can 
>> >mention in the document that if there is sufficient interest in one 
>> >of the solutions or if some solution actually gets deployed in the 
>> >future, we can pick that and standardize it.
>> >

---

From: [email-masked]
Date: Thu, 14 Aug 2008 20:22:36 +0800

Hi all,

After successful access  authentication, the authentication server 
transports the Master Session Key(MSK) to the authenticator.  The underlying 
L3  protocol can uses the MSK to derive additional keys.  Generally, the 
MSK is used for bootstrapping the security associations for the  access link 
between the mobile node and the network.The access authentication is to 
authorize the Mobile Node to obtain  the access link's network services; and 
FMIPv6 denotes that MN still continues to use the network services provided 
by the previous link,  therefore, applied the access authentication key to 
protect the FMIPv6 signaling is reasonable.

***************************************************************************************
This e-mail and its attachments contain confidential information from 
HUAWEI, which is intended only for the person or entity whose address is 
listed above. Any use of the information contained herein in any way 
(including, but not limited to, total or partial disclosure, reproduction, 
or dissemination) by persons other than the intended recipient(s) is 
prohibited. If you receive this e-mail in error, please notify the sender by 
phone or email immediately and delete it!
*****************************************************************************************

----- Original Message ----- 
From: "Vijay Devarapalli" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, July 31, 2008 1:49 AM
Subject: [Mipshop] AAA-based Handover Keys

> Hello Folks,
>
> We didn't get a chance to discuss the next steps on AAA-based handover
> keys. We ran out of time. Here are some observations.
>
> For progressing FMIPv6 to Proposed Standard, we have standardized one
> mechanism based on SeND. I don't expect this mechanism to be implemented
> by anyone. This could change if SeND does get deployed, but that might
> take some time.
>
> - There is one draft from Alper that talks about deriving the MN-AR key
> assuming that there is some sort of shared key between the mobile node
> and the access router.
> - The second one is from Vidya that defines a new protocol with message
> exchange between the mobile node, the access router and the handover
> keying server (presumably on the AAA) for deriving a MN-AR key for use
> with FMIPv6.
> - The third one is to punt part of the problem to HOKEY. We assume that
> there is an USRK available for FMIPv6 and we just describe how to derive
> the MN-AR key from this USRK.
>
> think there would be any customers (SDO or non-SDO) for the solution we
> develop in the MIPSHOP WG. The expectation is that SDOs would use some
> access-specific signaling to secure MN-AR FMIPv6 messages. I also think
> that we don't have sufficient information today to pick a solution.
>
> So the proposal is to write up an Informational document that says there
> are a number of ways to leverage the AAA infrastructure to derive MN-AR
> key for FMIPv6. We don't actually define a solution. Just point to some
> of the possible solutions. We won't be standardizing any of the solution
> documents. In addition, we can mention in the document that if there is
> sufficient interest in one of the solutions or if some solution actually
> gets deployed in the future, we can pick that and standardize it.
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 14 Aug 2008 07:38:15 -0700

> again on IPv6 deployment.

FMIPv6 can be used to optimize any IPv6 handover, not just MIPv6. For
example one could imagine FMIPv6 providing a fast handover for a MOBIKE
solution. You could have FMIPv6 signaling binding the old access IP address
to the new access IP address, and tunneling between the old access router
and the new access router. IPv6 deployment on the access will of course have
to happen first.
 
> wouldn't they rather jump to PMIP?

Sure.

Vijay

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 14 Aug 2008 17:42:22 +0300

Are you suggesting anything specifically?

[email-masked] wrote:
> transports the Master Session Key(MSK) to the authenticator.  The 
> underlying L3  protocol can uses the MSK to derive additional keys.  
> Generally, the MSK is used for bootstrapping the security associations 
> for the  access link between the mobile node and the network.The 
> access authentication is to authorize the Mobile Node to obtain  the 
> access link's network services; and FMIPv6 denotes that MN still 
> continues to use the network services provided by the previous link,  
> therefore, applied the access authentication key to protect the FMIPv6 
> signaling is reasonable.
>
>
>
> HUAWEI, which is intended only for the person or entity whose address 
> is listed above. Any use of the information contained herein in any 
> way (including, but not limited to, total or partial disclosure, 
> reproduction, or dissemination) by persons other than the intended 
> recipient(s) is prohibited. If you receive this e-mail in error, 
> please notify the sender by phone or email immediately and delete it!
> ----- Original Message ----- From: "Vijay Devarapalli" 
> <[email-masked]>
> To: <[email-masked]>

---

From: "Alper Yegin" <[email-masked]>
Date: Thu, 14 Aug 2008 18:08:28 +0300

Well, this is the scheme we documented in draft-yegin-fmip-sa-00.txt, first
option below.

Alper 

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Hannes Tschofenig
> Sent: Thursday, August 14, 2008 5:42 PM
> To: [email-masked]
> Cc: [email-masked]; Tina TSOU
> Subject: Re: [Mipshop] AAA-based Handover Keys
> 
> implemented
> there

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Thu, 14 Aug 2008 18:11:45 +0300

I know. 

The question is: what is new about it?

>[mailto:[email-masked]] On Behalf Of ext Alper Yegin
>Sent: 14 August, 2008 18:08
>To: 'Hannes Tschofenig'; [email-masked]
>Cc: [email-masked]; 'Tina TSOU'
>Well, this is the scheme we documented in 
>draft-yegin-fmip-sa-00.txt, first option below.
>
>Alper 
>
>> From: [email-masked] [mailto:[email-masked]] On 
>> Behalf Of Hannes Tschofenig
>> > Generally, the MSK is used for bootstrapping the security 
>> > associations for the  access link between the mobile node and the 
>> > network.The access authentication is to authorize the 
>Mobile Node to 
>> > obtain  the access link's network services; and FMIPv6 
>denotes that 
>> > MN still continues to use the network services provided by the 
>> > previous link, therefore, applied the access authentication key to 
>**********************************************************************
>> ****
>> *************
>> >
>> > This e-mail and its attachments contain confidential information 
>> > from HUAWEI, which is intended only for the person or entity whose 
>> > address is listed above. Any use of the information 
>contained herein 
>> > in any way (including, but not limited to, total or partial 
>> > disclosure, reproduction, or dissemination) by persons other than 
>> > the intended
>**********************************************************************
>> ****
>> ***************
>> >
>> >
>> >> For progressing FMIPv6 to Proposed Standard, we have standardized 
>> >> one mechanism based on SeND. I don't expect this mechanism to be
>> implemented
>> >> by anyone. This could change if SeND does get deployed, but that 
>> >> might take some time.
>> >>
>> >> key assuming that there is some sort of shared key between the 
>> >> mobile node and the access router.
>> >> to
>> derive
>> >> solution we develop in the MIPSHOP WG. The expectation is 
>that SDOs 
>> >> would use some access-specific signaling to secure MN-AR FMIPv6 
>> >> messages. I also think that we don't have sufficient 
>information today to pick a solution.
>> >>
>> >> are a number of ways to leverage the AAA infrastructure to derive 
>> >> MN-AR key for FMIPv6. We don't actually define a solution. Just 
>> >> point to some of the possible solutions. We won't be 
>standardizing 
>> >> any of the
>> solution
>> >> there is sufficient interest in one of the solutions or if some 
>> >> solution
>> actually

---

From: [email-masked]
Date: Fri, 15 Aug 2008 15:06:39 +0800

Hi,
My proposal is that deriving the Fast Handover Key from MSK to secure the 
FMIPv6 messages.
Yeah, as Alper mentioned, this primary idea is documented in 
draft-yegin-fmip-sa-00.txt. I think this
document needs to be updated.

BRs

----- Original Message ----- 
From: "Alper Yegin" <[email-masked]>
To: "'Hannes Tschofenig'" <[email-masked]>; 
<[email-masked]>
Cc: <[email-masked]>; "'Tina TSOU'" <[email-masked]>
Sent: Thursday, August 14, 2008 11:08 PM
Subject: RE: [Mipshop] AAA-based Handover Keys

>> >> key
>> >> message
>> >> that
>> >> MN-AR